DS Clock Help

DS Clock is a digital desktop clock that displays variable date and time information built from the format string.

The program can synchronize computer's clock with Atomic Time Servers.

It allows you to fully customize its look and feel. You can select any combination of date and time, select time zones, pick custom colors and fonts, set custom sound to play at the top of the hour, etc.

Transparent clock (Windows 2000 and Windows XP)

Different time zones
Backgrounf and text colors

No borders
Backgrounf and text colors
Besides, DS Clock allows you to show the tool tip window with upcoming reminders of Calendarscope™, and supports Swatch Internet Time.

Double-click the clock to invoke the default command, which is to show the Options dialog box.

Right-click the clock to display a context menu with various commands.


Clock tab

The Clock tab allows you to configure how you, as the user, wants to have the DS Clock application looking and working.

  • Format string - type the desired format string or click the buttons to pick display elements from the drop-down menus.
  • Samples - this button allows you to quickly select the predefined sample formats.
  • - click this button to specify the clock display alignment.
  • Date, Time, Time Zone, and Separator - these buttons allow you to pick from the list of date, time, time zone, and separator format elements.
  • Reset - resets format string to default system format.
  • Use custom colors - select this check box to specify custom colors for clock display
    • Text color - click this button to pick desired color for clock text.
    • Background color - click this button to pick desired color for clock background.
  • Use custom font - select this check box to specify custom font for clock display.
    • Change - click this button to select the desired font for clock text.
  • Show Calendarscope™ tool tip - select this check box to show tool tip window with upcoming reminders while the mouse cursor is above the clock.
  • Show 3D border around the clock select this check box to to show border around the clock.
  • Margins - specify the bound margins for the clock.

  • Lock window position - select this option to prevent accidental movement of the clock.
  • Lock right border - select this option to lock the right border of the clock.
  • Transparent - select this option to make DS Clock window transparent. (Windows 2000/Windows XP/Windows Vista)
  • Always on top - select this option and DS Clock will be the topmost window.
  • First day of the week - select this option to set the first day of the week.
  • First week of the year - select this option to set the first week of the year.
  • Enable sound - select this option to enable/disable sound.
  • Sound Options - click this button to change sound options.
  • Load program on startup - select this option and DS Clock will automatically start when you turn on your computer.

Note
  • When you pick a format element, it is inserted into the current cursor position, replacing any text that is selected. To separate new element from others the hidden separator is inserted before and after the new element.


Synchronization tab

  • Time Server - select a time server near you from the list. The list is sorted by internet country code and contains time servers with public access.
  • Adjust time automatically - specify the interval how often the system time should be synchronized. If you clear the check-box, time will be synchronized only once when the program is started (and if you use Dial-Up Networking to connect to the network, the first time you manually establish a network connection).
  • Adjust Now - click the button, to adjust the time right away.
  • Adjust minutes and seconds only - select this option to synchronize only minutes and seconds. In this case the hours value stays unchanged. It is useful for those with irregular Windows time zone settings.
  • Write Log file - select this option to write records to the log file.
  • View Log - click the button to open the log file with an associated viewer.
  • Clear Log - click the button to clear the log file.

If you have an Internet service provider account, you can use your phone line and a modem to connect to it. If your computer is connected to a local area network (LAN), you can gain access to the Internet over the LAN.

  • Through a phone line and a modem
  • Through a local area network (LAN)

Note
  • If you don't wish to synchronize time, select [ Do not synchronize ] in the Time Server list.


Customizing clock display

How to customize?

To customize the clock display open the Options dialog box.

Picking date and time information to display

Clock displays date and time information built from the format string.
Format string consists of the format elements, which represent pieces of information, such as time zone, hour or day name.

Setting colors and font for clock display

If you want to show clock using non-standard colors, select the Use custom colors check box. This will enable color buttons Text color and Background color. Click them to pick appropriate colors for clock text and background.

To use non-standard font, select the Use custom font check box, click Change, and select the font and other options you want.

Changing clock width and height

Clock width and height are calculated automatically.

Clock is usually displayed on a single line, however you can display clock on multiple lines. Use the line break format element for this purpose.

Note
  • All changes you made in the dialog box are shown immediately in the clock. If you click Cancel, then previous settings will be restored.


How to adjust time via the Internet

This feature allows you to synchronize your computer's clock with Atomic Time Servers.
DS Clock can check time regular in specified time periods and adjust your system time automatically, or your may do it yourself manually. The program uses SNTP-protocol to connect to the Time Servers.

Synchronization Settings

Note
  • If your computer is located behind a firewall, you should contact your firewall administrator to configure the firewall to allow SNTP protocol messages. (Port 123)


Swatch Internet time

What is Swatch Internet time?

Swatch Internet time represents a completely new global concept of time, one without time zones or geographical borders.

In short Swatch has divided up the virtual and real day into 1000 "beats". One Swatch beat is the equivalent of 1 minute 26.4 seconds. That means that 12 noon in the old time system is the equivalent of @500 Swatch beats. As a result Internet Time is the same all over the world.

A day in Internet Time begins at midnight Central European Wintertime (GMT+0100).

How to display Swatch time using DS Clock?

To display Swatch time in the clock, use the @ time format element while customizing clock display.


Moving clock around the screen

  • Drag the clock until it is over the place where you want the clock to appear and release the mouse button.

Note
  • Use the Lock Window Position menu item to enable/disable moving of the clock.


Tool tip window

Today's upcoming reminders of Calendarscope™ are shown in the tool tip window. There are icons, messages and expected run times displayed.

Note
  • Your should have Calendarscope™ running in order to see the upcoming reminders.


About clock formats

Format strings are used to build the clock display.

Format string consists of format elements, that represent pieces of information such as day, month, minutes and others.

When format string is used to build, for example, a clock display, then corresponding format elements are replaced with their actual values.

For example the string "hh:mm:ss tt ddd.dd" will produce "04:35:17 PM Tue.07" at the 4:35:17 PM on the 1st of August of the year 2007.

You may use the following kinds of format elements:

  • Date elements
  • Time elements
  • Time zone format elements
  • Separator elements


Date format elements

d dd ddd dddd | Day Day (two digits) Day of week (abbreviated) Day of week (full)
M MM MMM MMMM | Month Month (two digits) Month name (abbreviated) Month name (full)
yy yyyy | Year (two digits) Year (four digits)
gg | Period/era (not used with Western calendar systems)
w ww | Week number (determined according to ISO8601 *) Week number (2 digits)
D DDD | Day of year Day of year (3 digits)

Note
  • These elements are case sensitive.
  • * Briefly, ISO8601 states that each week begins on a Monday, and week #1 of any year is the first week that contains January 4.


Time format elements

h hh H HH | Hour (1 - 12) Hour (01 - 12) Hour (0 - 23) Hour (00 - 23)
m mm | Minute Minute (two digits)
s ss | Second Second (two digits)
t tt | A/P* AM/PM*
zz ZZ | Time zone bias Time zone name
@ | Swatch Internet time (@xxx)

Note
  • These elements are case sensitive.
  • * AM/PM strings can be changed in the Control Panel Regional settings.


Time zone format elements

Click the Time Zone... button, select a time zone, and then edit the label in the format edit box.

Note
  • You can also specify a format to display time zone information.
  • Samples


Separator format elements

' '
~
|
:
;
.
,
''
/
-
% 		Space
Literal text*
Hidden separator**
Line break
Colon
Semicolon
Dot
Comma
Single quotes
Slash
Dash
Percent

Note
  • *To include arbitrary text into the format, enclose it in the single quotation marks.
  • ** Hidden separator doesn't insert anything into the clock display, but it is used to separate format elements one from another.


Stopwatch

The stopwatch can be used to time events, independently of the clock, with a display resolution of one hundredth of a second. Once started, it will count up from zero until stopped or reset. The range of the stopwatch is 99 hours, 59 minutes, and 59.99 seconds.

You can create as many stopwatches as you want.

To create the new stopwatch perform following operations

  • Right-click the clock to display a context menu, click Stopwatch.
  • On the Tools menu, click Stopwatch.

Actions:

  • The Start/Pause/Resume button is used to commence, pause and resume timing.
  • The Stop button interrupts the timer.
  • The Reset button resets the count to zero.
Context menu:

Note
  • Right-click stopwatch and then click required menu item on the shortcut menu.


Technical Support

Before you contact us, please do the following:

  • Be sure that you’re doing everything right. We all make mistakes sometimes... Be attentive.
  • Look at the Help file: it may already contain an answer to your question. A lot of people ask us something like How do I…, though the complete information is there (in the document you’re reading now).
  • Visit DS Clock home page in the Internet at http://www.dualitysoft.com/dsclock/

But if you still have a problem with DS Clock and nothing else helps, please contact us at http://www.dualitysoft.com/support.html

Please inform us about the following:

  • Program version (from the About dialog box)
  • Where did you get DS Clock (http or ftp site)
  • Windows 95/98/ME/NT4/2000/XP/2003/Vista/7 version (including service packs and other fixes installed), US or international, OEM or not
  • Description of your problem (as much information as possible to retrieve the problem)
Note
  • We’ll try to help you as fast as possible, usually in one or two business days.
  • If you use aggressive spam filters and/or a challenge-response system, these may interfere with our ability to contact you in the future. We recommend you to add the dualitysoft.com domain to your allowed-senders list or whitelist, as applicable.
  • If you have any comments or suggestions for the next releases, please feel free to post them to us.


How to uninstall

How to uninstall DS Clock

It is easy to remove DS Clock from your system.
The following steps will remove DS Clock application and the settings in the registry from your system:

  1. Click here [image] to open the Control Panel Add/Remove Programs applet.
  2. Locate DS Clock in the list of installed programs and select it.
  3. Click the Add/Remove button to start removing the application.

Note
  • Make sure to close this DS Clock help file before clicking the Add/Remove button. Otherwise the uninstaller can’t delete the file from your system.


How do I add my own time server?

Open the timesvrs.dat file in any text editor, and then modify any time server.

For example change:

[#0]
loc=AU - The University of Melbourne, Melbourne Australia
adr=ntp.cs.mu.oz.au

to your values:

[#0]
loc=Another Time Server
adr=149.10.10.10

and then save the file.

Select your server from the list in DS Clock.


How do I add a time zone?

  1. Open Options.
  2. Click the Time Zone... button.
  3. Select a time zone.
  4. Click OK.
  5. Modify the EDIT LABLE text in the format string.
  6. Click OK to save changes.

Note
  • You can also specify a format to display time zone information. (Click Date & Time Format... in the Time Zones dialog box.)


Calendarscope™

Calendarscope Calendarscope™ is a full-featured calendar program for planning, managing, and scheduling appointments, meetings, birthdays, vacations, important dates, special events, and tasks. It allows you to view all your events in a daily, weekly, monthly, or yearly overview and supports to-do lists. You can get a quick look at the events of a single day in any calendar view. Reminders have customizable fonts, colors, and sounds, and may contain live web URLs and email addresses. Many of the main program features are accessible from a tray icon.

Using Calendarscope, you can create single or recurring events and tasks, color-code different item types, set reminders for upcoming events and tasks, and more. A Drag and drop feature allows you to easily reschedule an event, or change its duration. You can synchronize your data with Pocket PC, Windows Mobile Smartphone, or Palm OS handheld devices or print your calendar to take it with you. You can also save it in HTML to publish it to the Web or to a company intranet. The holidays of over 30 countries are available. Unauthorized access to your data is prevented with strong encryption algorithms.

Get organized and improve your productivity with Calendarscope.
For more information please visit Calendarscope Home page at http://www.calendarscope.com.


Calendarscope Network Edition

Calendarscope Network Edition is a full-featured multi-user calendar program for planning, managing, and scheduling appointments, meetings, birthdays, vacations, and special events. It allows users to share calendars with other users in the organization.
For more information please visit Calendarscope Network Edition Home page at http://www.calendarscope.net


Calendarscope Portable Edition

Calendarscope Portable Edition is a full-featured calendar program for planning, managing, and scheduling appointments, meetings, birthdays, vacations, and special events.

It is directed to owners of a USB flash drive and users for which mobility and simplicity are the fundamental requirements.
For more information please visit Calendarscope Portable Edition Home page at http://www.calendarscope.com/portable_calendar.html


Calendarscope Portable Edition for U3

Calendarscope Portable Edition for U3 is a full-featured calendar program for planning, managing, and scheduling appointments, meetings, birthdays, vacations, and special events.

It is directed to owners of a U3 smart drive and users for which mobility and simplicity are the fundamental requirements.
For more information please visit Calendarscope Portable Edition for U3 Home page at http://www.calendarscope.com/portable_calendar_u3.html